Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Interface SVMTarget

All Known Implementing Classes:
  AbstractSVMTarget, SimpleSVMTarget

    public interface SVMTarget

An SVM classifier model.

This is the interface for objects that contain the model for a binary classification task.

Author:
  Matthew Pocock

Method Summary
`void` | `addItem(Object item)`
`void` | `addItemTarget(Object item, double target)`
`void` | `clear()`
`double` | `getTarget(Object item)`
`Set` | `items()`
`Set` | `itemTargets()`
`void` | `removeItem(Object item)`
`void` | `setTarget(Object item, double target)`

Method Detail

### items

    Set items()

### itemTargets

    Set itemTargets()

### getTarget

    double getTarget(Object item)

### setTarget

    void setTarget(Object item,
                   double target)
                   throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### addItem

    void addItem(Object item)
                 throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### addItemTarget

    void addItemTarget(Object item,
                       double target)
                       throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### removeItem

    void removeItem(Object item)
                    throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### clear

    void clear()
               throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD